usb_register_device_driver
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_register_device_driver — register a USB device (not interface) driver

## Synopsis

`int usb_register_device_driver (` | struct usb_device_driver * | new_udriver,
| struct module * | owner`)`;

## Arguments

`new_udriver`

  USB operations for the device driver

`owner`

  module owner of this driver.

## Description

Registers a USB device driver with the USB core. The list of unattached devices will be rescanned whenever a new driver is added, allowing the new driver to attach to any recognized devices. Returns a negative error code on failure and 0 on success.

Prev | Up | Next
usb_match_id | Home | usb_deregister_device_driver